# Uses of Interface
org.opensaml.security.x509.tls.ClientTLSValidationConfiguration

Packages that use ClientTLSValidationConfiguration
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.security.config
OpenSAML configuration classes.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.

## Uses of ClientTLSValidationConfiguration in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type ClientTLSValidationConfiguration
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,List<ClientTLSValidationConfiguration>>`
PopulateClientTLSValidationParameters.`configurationLookupStrategy`
Strategy used to lookup a per-request `ClientTLSValidationConfiguration` list.
Method parameters in org.opensaml.profile.action.impl with type arguments of type ClientTLSValidationConfiguration
Modifier and Type
Method
Description
`void`
PopulateClientTLSValidationParameters.`setConfigurationLookupStrategy(Function<ProfileRequestContext,List<ClientTLSValidationConfiguration>> strategy)`
Set the strategy used to look up a per-request `ClientTLSValidationConfiguration` list.

## Uses of ClientTLSValidationConfiguration in org.opensaml.security.config

Fields in org.opensaml.security.config declared as ClientTLSValidationConfiguration
Modifier and Type
Field
Description
`private ClientTLSValidationConfiguration`
BasicSecurityConfiguration.`clientTLSConfig`
Configuration used when validating client TLS X509Credentials.
Methods in org.opensaml.security.config that return ClientTLSValidationConfiguration
Modifier and Type
Method
Description
`ClientTLSValidationConfiguration`
BasicSecurityConfiguration.`getClientTLSValidationConfiguration()`
Get the configuration used when validating client TLS X509Credentials.
`ClientTLSValidationConfiguration`
SecurityConfiguration.`getClientTLSValidationConfiguration()`
Get the configuration used when validating client TLS X509Credentials.
Methods in org.opensaml.security.config with parameters of type ClientTLSValidationConfiguration
Modifier and Type
Method
Description
`BasicSecurityConfiguration`
BasicSecurityConfiguration.`setClientTLSValidationConfiguration(ClientTLSValidationConfiguration config)`
Set the configuration used when validating client TLS X509Credentials.

## Uses of ClientTLSValidationConfiguration in org.opensaml.security.x509.tls

Fields in org.opensaml.security.x509.tls with type parameters of type ClientTLSValidationConfiguration
Modifier and Type
Field
Description
`private List<ClientTLSValidationConfiguration>`
ClientTLSValidationConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.security.x509.tls that return types with arguments of type ClientTLSValidationConfiguration
Modifier and Type
Method
Description
`List<ClientTLSValidationConfiguration>`
ClientTLSValidationConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.security.x509.tls with parameters of type ClientTLSValidationConfiguration
Modifier
Constructor
Description
``
`ClientTLSValidationConfigurationCriterion(ClientTLSValidationConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.security.x509.tls with type arguments of type ClientTLSValidationConfiguration
Modifier
Constructor
Description
``
`ClientTLSValidationConfigurationCriterion(List<ClientTLSValidationConfiguration> configurations)`
Constructor.

## Uses of ClientTLSValidationConfiguration in org.opensaml.security.x509.tls.impl

Classes in org.opensaml.security.x509.tls.impl that implement ClientTLSValidationConfiguration
Modifier and Type
Class
Description
`class`
`BasicClientTLSValidationConfiguration`
Basic implementation of `ClientTLSValidationConfiguration`.